Subject: Re: bug#46988: 28.0.50; Documenting and verifying assumptions about C code not calling quit or GCing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jun 2022 14:47:48 +0300

> Cc: [email-masked],
>  Mattias Engdegård <[email-masked]>,
>  Stefan Monnier <[email-masked]>
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 20 Jun 2022 03:41:42 +0200
> 
> Pip Cet <[email-masked]> writes:
> 
> > Patch attached. It assumes the standard stack growth direction, and
> > that __builtin_frame_address (0) is available and works. Uses GCC's
> > __attribute__ ((cleanup (...))).
> >
> > My point here is that the technical implementation isn't the problem,
> > the question is whether we're disciplined enough to run with checking
> > enabled and react to bug reports about the fatal error being thrown.
> 
> I've respun the patch for the current trunk, and I wonder whether
> anybody has any comments here (so I've added Stefan and Mattias to the
> CCs).
> 
> I think if we add this, it should be enabled only if the build is
> configured with --enable-checking.

Yes, I agree.

In addition, AFAIU this uses some GCC-specific stuff without providing
for other compilers that don't support the same literal features.